Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
I can't find the latest version of app distribs by emerge -s
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
clouds222
Apprentice
Apprentice


Joined: 13 Jul 2009
Posts: 187
Location: Shanghai

PostPosted: Sun Aug 09, 2009 1:15 pm    Post subject: I can't find the latest version of app distribs by emerge -s Reply with quote

Hi ferieds, I can't find the latest available version of apps by emerge -s apps. but I can find the latest ebuild files in the portage directory.

what shall I do to find the latest versions by emerge?

E.g.

the portage I 'm using is 2.2_r36 but it tells me the latest version is 2.2_r33 when I using emerge -s
and the apache. it tells the latest version is 2.2.11_R2, but still there are several newer packages in the portage folder.

I'm just using a funtoo repository.
the reason is that funtoo use dhcpcd 5.x to configure and start the network. but emerge just find the 4.1.3 version of dhcpcd which doesn't work.
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2803
Location: Richmond, BC, Canada

PostPosted: Sun Aug 09, 2009 1:33 pm    Post subject: Reply with quote

You need to read up a little more on how portage works. There is a term called visibilty which refers to settings such as keywords and masking status which effectively limits the versions visible for installation.
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
Mike Hunt
Watchman
Watchman


Joined: 19 Jul 2009
Posts: 5287

PostPosted: Sun Aug 09, 2009 3:01 pm    Post subject: Reply with quote

... also you can use eix to browse the portage tree
Code:
emerge --sync && emerge eix && eix-update

then you can find apps
Code:
eix apps
Back to top
View user's profile Send private message
clouds222
Apprentice
Apprentice


Joined: 13 Jul 2009
Posts: 187
Location: Shanghai

PostPosted: Mon Aug 10, 2009 2:13 pm    Post subject: Reply with quote

Thanks, it's good utility. and it's more convenient to view the versions of an apps instead of enter the portage folder.
BTW, the command is

Code:
update-eix.
Back to top
View user's profile Send private message
Mike Hunt
Watchman
Watchman


Joined: 19 Jul 2009
Posts: 5287

PostPosted: Mon Aug 10, 2009 2:53 pm    Post subject: Reply with quote

clouds222 wrote:
Thanks, it's good utility. and it's more convenient to view the versions of an apps instead of enter the portage folder.
BTW, the command is

Code:
update-eix.


Yes, and much faster than emerge -s

Quote:
update-eix
update-eix is a deprecated name since eix-0.17.0.
Please use eix-update instead.
Sleeping for 5 seconds...
^C
Code:
# eix eix
[I] app-portage/eix
     Available versions:  0.15.4 0.16.0 (~)0.16.1 (~)0.16.2 (~)0.17.0 {deprecated doc nls sqlite tools}
     Installed versions:  0.17.0...
:)
Back to top
View user's profile Send private message
clouds222
Apprentice
Apprentice


Joined: 13 Jul 2009
Posts: 187
Location: Shanghai

PostPosted: Fri Aug 14, 2009 1:53 am    Post subject: Reply with quote

oh, see that. I'm using version 0.16.0, so it's update-eix.

but I do think eix-update is better to remember as other tools are named as xxx-update,like etc-update and rc-update.
Back to top
View user's profile Send private message
Mike Hunt
Watchman
Watchman


Joined: 19 Jul 2009
Posts: 5287

PostPosted: Fri Aug 14, 2009 2:20 am    Post subject: Reply with quote

clouds222 wrote:
I do think eix-update is better to remember as other tools are named as xxx-update,like etc-update and rc-update.

That makes good sense :)
Back to top
View user's profile Send private message
NathanZachary
Moderator
Moderator


Joined: 30 Jan 2007
Posts: 2459
Location: /home/zach

PostPosted: Fri Aug 14, 2009 2:55 pm    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software, as the Funtoo tree is not supported. Thanks to nightmorph for reporting.
_________________
“Truth, like infinity, is to be forever approached but never reached.” --Jean Ayres (1972)
---avatar cropped from =AimanStudio---
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum